
Redmine - Defect #5139

Default issue display cannot be changed by setting display options

2010-03-20 19:17 - Kenn Wilson

Status: Closed Start date: 2010-03-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

When changing the column order or 'Group results by' setting on the issue list page, clicking "View all issues" causes these changes

to be discarded.

Steps to reproduce

1. In the issue list display options, change the column display order and set the 'Group by' setting

2. Click Apply

3. Leave this page by viewing any issue in the list

4. Return by clicking "View all issues" in sidebar

5. Note that your grouping and column order has been discarded

Creating a custom query is not a work-around unless I can set this custom query to be the default, so that the Issues tab and "View

all issues" links cause this customized view to be displayed.

History

#1 - 2010-03-20 19:35 - Kenn Wilson

This setting is also discarded with the session, so closing and reopening your browser also results in the changes being lost.

#2 - 2010-03-21 08:41 - Felix Schäfer

As far as I know all this is expected behavior, but I'll let JPLang weigh in on this one.

#3 - 2010-10-20 18:01 - Robin McKenzie

Allowing custom queries to be the default would be great.  I'm forever having to click on my main custom query because the default (presumably View

all Issues) doesn't fit my needs.

#4 - 2011-03-23 21:08 - Andrew Parnell

I am suffering from this issue too. It would be great to be able to customize the default view or set a custom query to be the default

#5 - 2011-03-23 21:11 - Andrew Parnell

Is this related to the following plugin? http://www.redmine.org/boards/3/topics/11764

#6 - 2023-03-27 09:39 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

"View all issues" link was removed by #30294.

Andrew Parnell wrote in #note-4:

It would be great to be able to customize the default view or set a custom query to be the default

 This feature was implemented in Redmine 5.0.0 (#7360).
